#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    int x;
    int a;
    int put;

    cin >> n >> x >> a;

    int min=a;
    int max=a;

    for(int i=0; i<n-1; i++)
    {
        cin >> a;
        if(a>max)
        {
            max=a;
        }
        if(a<min)
        {
            min=a;
        }
    }

    if(max-x < x-min)
    {
        put=max-min + max-x;
    } 
    else
    {
        put=max-min + x-min;
    }

    cout << put;

    return 0;
}